:root {
            --primary-orange: #FFB300;
            --dark-gray: #333;
            --light-gray: #f4f4f4;
            --text-color: #555;
            --white: #fff;
            --black: #000;
        }

        * {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

        body {
            font-family: "Lexend", sans-serif;
            width: 100%;
            margin: 0;
            padding: 0;
            display: flex;
            align-items: center;
            box-sizing: border-box;
            line-height: 1.6;
            flex-direction: column;
            color: var(--text-color);
        }

.wapp {
    position: fixed;
    width: 50px;
    height: 50px;
    bottom: 15px;
    right: 15px;
    z-index: 10;
}

.wapp::before {
    position: absolute;
    top: 10px;
    color: #FFF;
    font-size: 12px;
    text-align: center;
    content: "¡Escríbenos!";
    padding: 5px 20px 5px 10px;
    border-radius: 5px;
    background-color: #32BA46;
    transition: opacity 0.5s ease, transform 0.5s ease;
    opacity: 0;
    transform: translateX(-40px);
}

.wapp:hover::before {
    opacity: 1;
    transform: translateX(-80px);
}

.wapp a {
    width: 50px;
    height: 50px;
}

.wapp a img {
    width: 50px;
    height: 50px;
    filter: drop-shadow(1px 1px 2px rgba(0, 0, 0, 0.25));
}

.burgermenu {
    position: fixed;
    width: 50px;
    height: 50px;
    top: 15px;
    right: 15px;
    z-index: 20;
    display: none;
}

.burgermenu  img {
    width: 40px;
    height: 40px;
    filter: invert(1);
}

h1, h2, h3, h4, h5, h6 {
    font-family: "Josefin Sans", sans-serif;
    color: var(--dark-gray);
    margin-top: 0;
    font-weight: 700;
}

p {
    font-family: "Lexend", sans-serif;
}

main {
    width: 100%;
    max-width: 1920px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

header {
    width: 100%;
    max-width: 1920px;
    position: fixed;
    top: 0;
    display: flex;
    justify-content: space-around;
    align-content: center;
    padding: 15px 0px;
    z-index: 10;
}

/*header::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.2);  Dark overlay 
    z-index: 1;
}*/

header.menutrans {
    background: rgb(0,66,92);
    background: linear-gradient(180deg, rgba(50,50,50,1) 0%, rgba(50,50,50,0) 100%);
}

header a img {
    width: 135px;
    height: auto;
    filter: drop-shadow(1px 1px 2px rgba(0, 0, 0, 0.25));
}

.navmenu {
    width: 60%;
    text-align: right;
}

.navmenu a {
    display: inline;
    text-decoration: none;
    color: #FFF;
    font-size: 13px;
    font-weight: 300;
    margin-left: 35px;
    filter: drop-shadow(1px 1px 2px rgba(0, 0, 0, 0.25));
}

.navmenu a:hover {
    color: #A8EEFC;
}

.slide {
    width: 100%;
    height: 800px;
    background: url('img/back_slide.jpg') no-repeat center center/cover; /* Replace with your hero image */
    color: var(--white);
    text-align: center;
    padding: 100px 20px;
    position: relative;
    min-height: 600px; /* Adjust as needed */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.slide .slideinfo {
    position: relative;
    z-index: 2;
    text-align: left;
    max-width: 800px;
    padding-left: 50px;
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);;
}

.slide .slideinfo h1 {
    font-size: 80px;
    line-height: 80px;
    margin-bottom: 10px;
    color: var(--white);
    text-transform: uppercase;
}

.slide .slideinfo p {
    font-size: 1.5em;
    color: var(--white);
    font-weight: 700;
}

.services {
    width: 70%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 40px;
    margin-top: -175px;
    background-color: rgba(0,0,0,0.8);
    padding: 20px 20px;
    z-index: 5;
}

.services .service {
    flex: 0 0 150px;
    padding: 15px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.services .service img {
    width: auto;
    height: 60px;
}

.services .service span {
    color: var(--white);
    font-size: 1em;
    line-height: 1.2;
    padding: 10px 0px;
}

.about {
    padding: 80px 20px;
    text-align: left;
    margin: 0 50% 0 15%;
}

.about h2 {
    font-size: 60px;
    color: var(--primary-orange);
    position: relative;
    display: inline-block;
    padding-left: 25px;
    line-height: 60px;
}

.about h2::after {
    content: '';
    position: absolute;
    left: 0%;
    transform: translateX(-50%);
    transform: translateY(-20%);
    bottom: -10px;
    width: 15px;
    height: 90%;
    background-color: var(--primary-orange);
}

.about p {
    color: var(--text-color);
    font-size: 1.1em;
    line-height: 1.8;
}

/* Portfolio Section */
.portafolio {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    background-color: var(--primary-orange);
    padding: 40px 0px;
    text-align: center;
}

.portafolio h2 {
    font-size: 60px;
    color: var(--white);
    position: relative;
    display: inline-block;
    padding-left: 25px;
    line-height: 60px;
    margin-left: 15%;
}

.portafolio h2::after {
    content: '';
    position: absolute;
    left: 0%;
    transform: translateX(-50%);
    transform: translateY(-50%);
    bottom: -10px;
    width: 15px;
    height: 80%;
    background-color: var(--white);
}

.portafolio .projects {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    padding: 0 0px;
}

.portafolio .projects .column {
    flex: 25%;
    max-width: 25%;
    padding: 0 0px;
}

.portafolio .projects .column div {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--dark-gray); /* Placeholder */
    background-size: cover;
    background-position: center;
    overflow: hidden;
    cursor: pointer;
}

.portafolio .projects .column div::before{
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 5;
    transition: background-color 0.2s ease-in;
}

.portafolio .projects .column div:hover::before {
    background-color: rgba(0, 0, 0, 0.2);
}

.portafolio .projects .column div img {
    width: 50%;
    height: auto;
    z-index: 10;
}


.portafolio .projects .column .project-a {
    height: 400px;
}

.portafolio .projects .column .project-b {
    height: 600px;
}

.parcana {
    background-image: url("img/back_arcana.webp");
}

.ptiins {
    background-image: url("img/back_tiins.webp");
}

.pprivalto {
    background-image: url("img/back_privalto.webp");
}

.pporto{
    background-image: url("img/back_porto.webp");
}

.pmc{
    background-image: url("img/back_mc.webp");
}

.pmt {
    background-image: url("img/back_mt.webp");
}

.pfactoria {
    background-image: url("img/back_factoria.webp");
}

.pprocesa{
    background-image: url("img/back_procesa.webp");
}


/* Clients Section */
.clients {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    background-color: var(--light-gray);
    padding: 60px 0px;
    text-align: center;
}

.clients h2 {
    font-size: 60px;
    color: var(--primary-orange);
    position: relative;
    display: inline-block;
    padding-left: 25px;
    line-height: 60px;
    margin-left: 15%;
}

.clients h2::after {
    content: '';
    position: absolute;
    left: 0%;
    transform: translateX(-50%);
    transform: translateY(-50%);
    bottom: -10px;
    width: 15px;
    height: 80%;
    background-color: var(--primary-orange);
}

.clients .logos {
    width: 70%;
    margin-left: 15%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 40px;
}

.clients .logos .logo {
    flex: 1 0 200px; /* Adjust logo size */
    height: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.clients .logos .logo img {
    max-width: 100%;
    max-height: 100%;
    filter: grayscale(100%);
    opacity: 0.7;
    transition: all 0.3s ease;
}

.clients .logos .logo img:hover {
    filter: grayscale(0%);
    filter: drop-shadow(2px 2px 3px rgba(0, 0, 0, 0.4));
    scale: 105%;
    opacity: 1;
}

/* Team Section 
.team {
background-color: var(--white);
padding: 80px 20px;
text-align: center;
}

.team h2 {
font-size: 2.5em;
color: var(--primary-orange);
margin-bottom: 40px;
position: relative;
display: inline-block;
}

.team h2::after {
content: '';
position: absolute;
left: 50%;
transform: translateX(-50%);
bottom: -10px;
width: 80px;
height: 4px;
background-color: var(--primary-orange);
}

.team-grid {
display: flex;
flex-wrap: wrap;
justify-content: center;
gap: 30px;
margin-top: 60px;
}

.team-member {
flex: 1 1 280px;
background: var(--light-gray);
border-radius: 8px;
overflow: hidden;
box-shadow: 0 4px 15px rgba(0,0,0,0.08);
text-align: center;
}

.team-member img {
width: 100%;
height: 250px;
object-fit: cover;
object-position: center top;
}

.member-info {
padding: 20px;
}

.member-info h3 {
font-size: 1.5em;
margin-bottom: 5px;
color: var(--dark-gray);
}

.member-info p {
font-size: 1em;
color: var(--primary-orange);
font-weight: 700;
}

*/

/* Contact Section */
footer {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    background-color: var(--dark-gray);
    padding: 0px 0px;
    text-align: center;
}

footer .top {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: var(--dark-gray);
    padding: 80px 0px 40px 0px;
    text-align: center;
}

footer .top .contact {
    width: 70%;
    display: flex;
    align-items: flex-start;
    justify-content: space-around;
    margin-bottom: 25px;
}

footer .top .contact h2 {
    width: 45%;
    font-size: 60px;
    color: var(--primary-orange);
    position: relative;
    display: inline-block;
    padding-left: 25px;
    line-height: 60px;
    text-align: left;
}

footer .top .contact h2::after {
    content: '';
    position: absolute;
    left: 0%;
    transform: translateX(-50%);
    transform: translateY(-50%);
    bottom: -42.5%;
    width: 15px;
    height: 95%;
    background-color: var(--primary-orange);
}

footer .top .contact form {
    width: 45%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}

footer .top .contact form input[type=text] {
    width: 100%;
    height: 30px;
    border-radius: 10px;
    background-color: var(--dark-gray);
    border: 1px solid #fff;
    margin-bottom: 15px;
    padding: 5px 10px;
    color: #fff;
    position: relative;
    font-family: 'Inter', sans-serif;
    
}

footer .top .contact form select {
    width: 100%;
    height: 40px;
    border-radius: 10px;
    background-color: var(--dark-gray);
    border: 1px solid #fff;
    margin-bottom: 15px;
    padding: 5px 10px;
    color: #fff;
    position: relative;
    font-family: 'Inter', sans-serif;
}

footer .top .contact form input[type=text]:focus {
    font-size: 13px;
    font-weight: 300;
    font-family: 'Inter', sans-serif;
}


footer .top .contact form input[type=text]::placeholder {
    font-size: 13px;
    font-weight: 300;
    color: #999;
    font-family: 'Inter', sans-serif;
}

footer .top .contact form select option:disabled {
    color: #999;
}

footer .top .contact form input[type=submit] {
    width: 40%;
    min-width: 100px;
    border-radius: 10px;
    background-color: var(--primary-orange);
    border: 1px solid #fff;
    padding: 10px;
    color: #000;
    position: relative;
    font-size: 12px;
    font-weight: 300;
    font-family: 'Inter', sans-serif;
    cursor: pointer;
    align-self: flex-end;
}

footer .top .contact form input[type=submit]:hover {
    background-color: var(--primary-orange);
    scale: 105%;
    transition: 0.3s;
}

footer .top .social {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 40px 0px;
    text-align: center;
}

footer .top .social a {
    width: 35px;
    height: auto;
    margin: 0px 20px;
    transition: all 0.3s ease;
}

footer .top .social a:hover {
    filter: drop-shadow(2px 2px 3px rgba(0, 0, 0, 0.7));
    scale: 110%;
}

footer .top .social a img {
    width: 100%;
    height: auto;
}

footer .top .data {
    width: 70%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0px 0px;
    text-align: center;
    font-size: 13px;
    border-bottom: 1px solid white;
    color: #999;
    padding: 5px;
}

footer .top .data a {
    font-size: 15px;
    color: var(--white);
    text-decoration: none;
}

footer .top > img {
    margin-top: 25px;
    width: 15%;
    height: auto;
}


footer .bottom{
    width: 100%;
    background-color: var(--black);
    padding: 20px 0px;
    text-align: center;
    font-size: 12px;
    color: #999;
}

footer .bottom a {
    font-size: 13px;
    color: var(--white);
    text-decoration: none;
}

/* Responsive Design */
@media (max-width: 1250px) {

.services {
    width: 90%;
}

.about {
    margin: 0 30% 0 10%;
}

.about h2 {
    margin-left: 0%;
}


.portafolio h2 {
    margin-left: 10%;
}

.clients h2 {
    margin-left: 10%;
}

.clients .logos {
    width: 80%;
    margin-left: 10%;
}

footer .top .contact {
    width: 90%;
}

}

@media (max-width: 950px) {

.about h2 {
    font-size: 40px;
    line-height: 40px;
}

.about h2::after {
    width: 10px;
    transform: translateX(-50%);
    transform: translateY(-25%);
}


.portafolio h2 {
    font-size: 40px;
    line-height: 40px;
}

.portafolio h2::after {
    width: 10px;
    transform: translateX(-50%);
    transform: translateY(-60%);
}

.clients h2 {
    font-size: 40px;
    line-height: 40px;
}

.clients h2::after {
    width: 10px;
    transform: translateX(-50%);
    transform: translateY(-60%);
}

footer .top .contact h2 {
    font-size: 40px;
    line-height: 40px;
}

footer .top .contact h2::after {
    width: 10px;
}

footer .top .data {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}

}


@media (max-width: 650px) {

.burgermenu {
    display: inline;
}

header {
    justify-content: space-between;
    padding: 0px;
    z-index: 10;
    height: 100px;
}

header a img {
    width: 135px;
    height: auto;
    filter: drop-shadow(1px 1px 2px rgba(0, 0, 0, 0.25));
    padding: 20px 25px;
}

.navmenu {
    position: absolute;
    width: 200px;
    background: var(--primary-orange);
    padding: 40px 20px 20px 20px;
    text-align: center;
    right: -200px;
    transition: transform 0.3s;
    transition-timing-function: ease-in;
}

.show {
    transition: transform 0.3s;
    transition-timing-function: ease-in;
    transform: translateX(-200px);
}

.navmenu a {
    display: block;
    padding: 20px 0px;
    margin: 10px 0px;
    filter: drop-shadow(1px 1px 2px rgba(0, 0, 0, 0.0));
    border-bottom: 1px dotted #fff;
}

.navmenu a:hover {
    color: #A8EEFC;
}

.slide .slideinfo h1 {
    font-size: 55px;
    line-height: 55px;
}

.about {
    margin: 0 15% 0 5%;
}

.portafolio .projects .column {
    flex: 50%;
    max-width: 50%;
    padding: 0 0px;
}

.clients .logos .logo {
    flex: 1 0 100px; /* Adjust logo size */
    height: 75px;
    display: flex;
    align-items: center;
    justify-content: center;
}

footer .top .contact {
    width: 90%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-around;
    margin-bottom: 25px;
}

footer .top .contact h2 {
    width: 100%;
}

footer .top .contact form {
    width: 100%;
}

}

@media (max-width: 650px) {

.slide .slideinfo {
    padding-left: 20px;
}

.slide .slideinfo h1 {
    font-size: 45px;
    line-height: 45px;
}

.services {
    width: 90%;
    gap: 25px;
}

.services .service {
    flex: 0 0 100px;
}

.services .service img {
    width: auto;
    height: 40px;
}

.services .service span {
    color: var(--white);
    font-size: .9em;
    line-height: 1;
    padding: 10px 0px;
}

footer .top > img {
    width: 25%;
}

}